Ruby: pm_rescue_node Struct Reference

Ruby 3.4.8p72 (2025-12-17 revision 995b59f66677d44767ce9faac6957e5543617ff9)

Data Fields
pm_rescue_node Struct Reference

RescueNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_location_t | keyword_loc
| RescueNode::keyword_loc.
struct pm_node_list | exceptions
| RescueNode::exceptions.
pm_location_t | operator_loc
| RescueNode::operator_loc.
struct pm_node * | reference
| RescueNode::reference.
pm_location_t | then_keyword_loc
| RescueNode::then_keyword_loc.
struct pm_statements_node * | statements
| RescueNode::statements.
struct pm_rescue_node * | subsequent
| RescueNode::subsequent.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

RescueNode.

Represents a rescue statement.

    begin
    rescue Foo, *splat, Bar => ex
      foo
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    end

`Foo, *splat, Bar` are in the `exceptions` field. `ex` is in the `reference` field.

Type: PM_RESCUE_NODE

Definition at line 7137 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_rescue_node::base

The embedded base node.

Definition at line 7139 of file ast.h.

Referenced by pm_dump_json().

## ◆ exceptions

struct pm_node_list pm_rescue_node::exceptions

RescueNode::exceptions.

Definition at line 7150 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ keyword_loc

pm_location_t pm_rescue_node::keyword_loc

RescueNode::keyword_loc.

Definition at line 7145 of file ast.h.

Referenced by pm_dump_json().

## ◆ operator_loc

pm_location_t pm_rescue_node::operator_loc

RescueNode::operator_loc.

Definition at line 7155 of file ast.h.

Referenced by pm_dump_json().

## ◆ reference

struct pm_node* pm_rescue_node::reference

RescueNode::reference.

Definition at line 7160 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ statements

struct pm_statements_node* pm_rescue_node::statements

RescueNode::statements.

Definition at line 7170 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ subsequent

struct pm_rescue_node* pm_rescue_node::subsequent

RescueNode::subsequent.

Definition at line 7175 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ then_keyword_loc

pm_location_t pm_rescue_node::then_keyword_loc

RescueNode::then_keyword_loc.

Definition at line 7165 of file ast.h.

Referenced by pm_dump_json().

The documentation for this struct was generated from the following file:

- prism/ast.h